GDB (xrefs)

Public Member Functions | Protected Attributes | Private Member Functions | Private Attributes | List of all members
print_c_tdesc Class Reference
Inheritance diagram for print_c_tdesc:

## Public Member Functions
| print_c_tdesc (std::string &filename_after_features)
| ~print_c_tdesc ()
void | visit_pre (const target_desc *e) override
void | visit_pre (const tdesc_feature *e) override
void | visit_post (const tdesc_feature *e) override
void | visit_post (const target_desc *e) override
void | visit (const tdesc_type_builtin *type) override
void | visit (const tdesc_type_vector *type) override
void | visit (const tdesc_type_with_fields *type) override
void | visit (const tdesc_reg *reg) override

## Protected Attributes
std::string | m_filename_after_features

## Private Member Functions
void | printf_field_type_assignment (const char *fmt,...)

## Private Attributes
char * | m_function
bool | m_printed_element_type = false
bool | m_printed_type_with_fields = false
bool | m_printed_field_type = false

## Detailed Description

Definition at line 1756 of file target-descriptions.c.

## Constructor & Destructor Documentation

## ◆ print_c_tdesc()

print_c_tdesc::print_c_tdesc | ( | std::string & | filename_after_features | ) |
| inline

Definition at line 1759 of file target-descriptions.c.

References m_filename_after_features, m_function, printf_unfiltered(), and xmalloc().

## ◆ ~print_c_tdesc()

print_c_tdesc::~print_c_tdesc | ( |  | ) |
| inline

Definition at line 1782 of file target-descriptions.c.

References m_function, and xfree().

## Member Function Documentation

## ◆ printf_field_type_assignment()

void print_c_tdesc::printf_field_type_assignment | ( | const char * | fmt,
|  |  | ...
| ) |  |
| inline private

Definition at line 1999 of file target-descriptions.c.

References m_printed_field_type, printf_unfiltered(), and vprintf_unfiltered().

Referenced by visit().

## ◆ visit() [1/4]

void print_c_tdesc::visit | ( | const tdesc_type_builtin * | type | ) |
| inline override virtual

Implements tdesc_element_visitor.

Definition at line 1850 of file target-descriptions.c.

References _, and error().

## ◆ visit() [2/4]

void print_c_tdesc::visit | ( | const tdesc_type_vector * | type | ) |
| inline override virtual

Implements tdesc_element_visitor.

Definition at line 1855 of file target-descriptions.c.

References m_printed_element_type, and printf_unfiltered().

## ◆ visit() [3/4]

void print_c_tdesc::visit | ( | const tdesc_type_with_fields * | type | ) |
| inline override virtual

Implements tdesc_element_visitor.

Definition at line 1873 of file target-descriptions.c.

References _, tdesc_type_field::end, error(), gdb_assert, tdesc_type::kind, m_printed_type_with_fields, tdesc_type_field::name, tdesc_type::name, printf_field_type_assignment(), printf_unfiltered(), tdesc_type_field::start, TDESC_TYPE_BOOL, TDESC_TYPE_ENUM, TDESC_TYPE_FLAGS, TDESC_TYPE_STRUCT, TDESC_TYPE_UINT32, TDESC_TYPE_UINT64, TDESC_TYPE_UNION, and tdesc_type_field::type.

## ◆ visit() [4/4]

void print_c_tdesc::visit | ( | const tdesc_reg * | reg | ) |
| inline override virtual

Implements tdesc_element_visitor.

Reimplemented in print_c_feature.

Definition at line 1979 of file target-descriptions.c.

References reg::name, and printf_unfiltered().

## ◆ visit_post() [1/2]

void print_c_tdesc::visit_post | ( | const tdesc_feature * | e | ) |
| inline override virtual

Implements tdesc_element_visitor.

Reimplemented in print_c_feature.

Definition at line 1841 of file target-descriptions.c.

## ◆ visit_post() [2/2]

void print_c_tdesc::visit_post | ( | const target_desc * | e | ) |
| inline override virtual

Implements tdesc_element_visitor.

Reimplemented in print_c_feature.

Definition at line 1844 of file target-descriptions.c.

References m_function, and printf_unfiltered().

## ◆ visit_pre() [1/2]

void print_c_tdesc::visit_pre | ( | const target_desc * | e | ) |
| inline override virtual

Implements tdesc_element_visitor.

Reimplemented in print_c_feature.

Definition at line 1787 of file target-descriptions.c.

References target_desc::compatible, GDB_OSABI_INVALID, GDB_OSABI_UNKNOWN, gdbarch_osabi_name(), property::key, m_filename_after_features, m_function, printf_unfiltered(), target_desc::properties, tdesc_architecture(), tdesc_osabi(), and property::value.

## ◆ visit_pre() [2/2]

void print_c_tdesc::visit_pre | ( | const tdesc_feature * | e | ) |
| inline override virtual

Implements tdesc_element_visitor.

Reimplemented in print_c_feature.

Definition at line 1835 of file target-descriptions.c.

References tdesc_feature::name, and printf_unfiltered().

## Member Data Documentation

## ◆ m_filename_after_features

std::string print_c_tdesc::m_filename_after_features
| protected

Definition at line 1992 of file target-descriptions.c.

Referenced by print_c_feature::print_c_feature(), print_c_tdesc(), visit_pre(), and print_c_feature::visit_pre().

## ◆ m_function

char* print_c_tdesc::m_function
| private

Definition at line 2015 of file target-descriptions.c.

Referenced by print_c_tdesc(), visit_post(), visit_pre(), and ~print_c_tdesc().

## ◆ m_printed_element_type

bool print_c_tdesc::m_printed_element_type = false
| private

Definition at line 2018 of file target-descriptions.c.

Referenced by visit().

## ◆ m_printed_field_type

bool print_c_tdesc::m_printed_field_type = false
| private

Definition at line 2024 of file target-descriptions.c.

Referenced by printf_field_type_assignment().

## ◆ m_printed_type_with_fields

bool print_c_tdesc::m_printed_type_with_fields = false
| private

Definition at line 2021 of file target-descriptions.c.

Referenced by visit().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/target-descriptions.c